| IGLib 1.7.2 The IGLib base library for development of numerical, technical and business applications.

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Events Macros
Public Member Functions | Static Private Member Functions | List of all members
JsonPrettyPrinterPlus.JsonPrettyPrinterInternals.JsonPPStrategies.OpenBracketStrategy Class Reference
Inheritance diagram for JsonPrettyPrinterPlus.JsonPrettyPrinterInternals.JsonPPStrategies.OpenBracketStrategy:
[legend]
Collaboration diagram for JsonPrettyPrinterPlus.JsonPrettyPrinterInternals.JsonPPStrategies.OpenBracketStrategy:
[legend]

## Public Member Functions
void | ExecutePrintyPrint (JsonPPStrategyContext context)

## Static Private Member Functions
static bool | IsBeginningOfNewLineAndIndentionLevel (JsonPPStrategyContext context)

## Additional Inherited Members
Properties inherited from JsonPrettyPrinterPlus.JsonPrettyPrinterInternals.ICharacterStrategy
char | ForWhichCharacter`[get]`

## Member Function Documentation

void JsonPrettyPrinterPlus.JsonPrettyPrinterInternals.JsonPPStrategies.OpenBracketStrategy.ExecutePrintyPrint | ( | JsonPPStrategyContext | context | ) |
| inline

Implements JsonPrettyPrinterPlus.JsonPrettyPrinterInternals.ICharacterStrategy.

References JsonPrettyPrinterPlus.JsonPrettyPrinterInternals.JsonPPStrategyContext.AppendCurrentChar(), JsonPrettyPrinterPlus.JsonPrettyPrinterInternals.JsonPPStrategyContext.BuildContextIndents(), JsonPrettyPrinterPlus.JsonPrettyPrinterInternals.JsonPPStrategyContext.EnterObjectScope(), and JsonPrettyPrinterPlus.JsonPrettyPrinterInternals.JsonPPStrategyContext.IsProcessingString.

static bool JsonPrettyPrinterPlus.JsonPrettyPrinterInternals.JsonPPStrategies.OpenBracketStrategy.IsBeginningOfNewLineAndIndentionLevel | ( | JsonPPStrategyContext | context | ) |
| inline static private

References JsonPrettyPrinterPlus.JsonPrettyPrinterInternals.JsonPPStrategyContext.IsInArrayScope, JsonPrettyPrinterPlus.JsonPrettyPrinterInternals.JsonPPStrategyContext.IsProcessingVariableAssignment, and JsonPrettyPrinterPlus.JsonPrettyPrinterInternals.JsonPPStrategyContext.IsStart.

The documentation for this class was generated from the following file:

- igbase/data/serialization/json/JsonPrettyPrinterInternals/JsonPPStrategies/OpenBracketStrategy.cs